curl --request GET \
--url https://services.leadconnectorhq.com/locations/{locationId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"location": {
"id": "ve9EPM428h8vShlRW1KT",
"companyId": "5DP4iH6HLkQsiKESj6rh",
"name": "dentist",
"domain": "test.msgsndr.com",
"address": "ganthi nagar, gyanbabu chauk motihati",
"city": "motihari",
"state": "Loca",
"logoUrl": "https://dummyimage.com/o/locationPhotos%2Fve9EPM428h8vShlRW1KT.jpeg",
"country": "IN",
"postalCode": "567654",
"website": "https://gohighlevel.com/",
"timezone": "America/Chicago",
"firstName": "Dr. Rane",
"lastName": "deo",
"email": "rane@due.com",
"phone": "+919039160788",
"business": {
"name": "dentist",
"address": "MIG 14, Delhi",
"city": "delhi",
"state": "delhi",
"country": "IN",
"postalCode": "567654",
"website": "https://gohighlevel.com/",
"timezone": "America/Chicago",
"logoUrl": "https://dummyimage.com/o/locationPhotos%2Fve9EPM428h8vShlRW1KT.jpeg"
},
"social": {
"facebookUrl": "https://www.facebook.com/",
"googlePlus": "https://www.googleplus.com/",
"linkedIn": "https://www.linkedIn.com/",
"foursquare": "https://www.foursquare.com/",
"twitter": "https://www.foutwitterrsquare.com/",
"yelp": "https://www.yelp.com/",
"instagram": "https://www.instagram.com/",
"youtube": "https://www.youtube.com/",
"pinterest": "https://www.pinterest.com/",
"blogRss": "https://www.blogRss.com/",
"googlePlacesId": "ChIJJGPdVbQTrjsRGUkefteUeFk"
},
"settings": {
"allowDuplicateContact": false,
"allowDuplicateOpportunity": false,
"allowFacebookNameMerge": false,
"disableContactTimezone": false
},
"reseller": {}
}
}Get details of a Sub-Account (Formerly Location) by passing the sub-account id
curl --request GET \
--url https://services.leadconnectorhq.com/locations/{locationId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"location": {
"id": "ve9EPM428h8vShlRW1KT",
"companyId": "5DP4iH6HLkQsiKESj6rh",
"name": "dentist",
"domain": "test.msgsndr.com",
"address": "ganthi nagar, gyanbabu chauk motihati",
"city": "motihari",
"state": "Loca",
"logoUrl": "https://dummyimage.com/o/locationPhotos%2Fve9EPM428h8vShlRW1KT.jpeg",
"country": "IN",
"postalCode": "567654",
"website": "https://gohighlevel.com/",
"timezone": "America/Chicago",
"firstName": "Dr. Rane",
"lastName": "deo",
"email": "rane@due.com",
"phone": "+919039160788",
"business": {
"name": "dentist",
"address": "MIG 14, Delhi",
"city": "delhi",
"state": "delhi",
"country": "IN",
"postalCode": "567654",
"website": "https://gohighlevel.com/",
"timezone": "America/Chicago",
"logoUrl": "https://dummyimage.com/o/locationPhotos%2Fve9EPM428h8vShlRW1KT.jpeg"
},
"social": {
"facebookUrl": "https://www.facebook.com/",
"googlePlus": "https://www.googleplus.com/",
"linkedIn": "https://www.linkedIn.com/",
"foursquare": "https://www.foursquare.com/",
"twitter": "https://www.foutwitterrsquare.com/",
"yelp": "https://www.yelp.com/",
"instagram": "https://www.instagram.com/",
"youtube": "https://www.youtube.com/",
"pinterest": "https://www.pinterest.com/",
"blogRss": "https://www.blogRss.com/",
"googlePlacesId": "ChIJJGPdVbQTrjsRGUkefteUeFk"
},
"settings": {
"allowDuplicateContact": false,
"allowDuplicateOpportunity": false,
"allowFacebookNameMerge": false,
"disableContactTimezone": false
},
"reseller": {}
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id
Successful response
Show child attributes
Was this page helpful?